Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.announcements.poller
Class AnnouncementTimerListener

    java.lang.Object
      com.bea.apps.groupspace.announcements.poller.AnnouncementTimerListener

    public class AnnouncementTimerListener

extends Object

AnnouncementTimerListener This implementation of TimerListener is responsible for polling for announcements that are:

- Have been created for this web application
- Currently in effect
- Where no notification has been sent

Those announcements satisfying the above criteria will have a notification sent to members based on the announcement criteria.

Method Summary
`static Timer` | `initialize(TimerManager mgr, Date startTime, long repeatIntervalMinutes)` Initializes this timer listener.
`void` | `timerCancel(Timer timer)` Callback when the timer is cancelled.
`void` | `timerExpired(Timer timer)` Callback from the TimerManager when the time expires.
`void` | `timerStop(Timer timer)` Callback when timer is stopped.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialize

    public static final Timer initialize(TimerManager mgr,
                                         Date startTime,
                                         long repeatIntervalMinutes)
                                  throws Exception

  Initializes this timer listener. Use this method to create the timer instance of the announcement poller. You should hold on to the reference of the timer for future use (i.e. so that you can cancel it).

  Parameters
    `mgr` - The timer manager to use to create the timer listener.
    `startTime` - The date/time of the first timerExpired callback. ** Required **
    `repeatIntervalMinutes` - The interval (in minutes) in which the callback is invoked after startTime. Valid values are 0 <= repeatIntervalMinutes <= 1440(24 hours). A value of 0 will cause the timer to execute once, at startTime. ** Required **
  Returns
    The timer instance. The reference to this should be retained until such time as the timer should be cancelled.
  Throws
    `Exception`

### timerExpired

    public void timerExpired(Timer timer)

  Callback from the TimerManager when the time expires.

### timerCancel

    public void timerCancel(Timer timer)

  Callback when the timer is cancelled.

### timerStop

    public void timerStop(Timer timer)

  Callback when timer is stopped.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved